Subject: Re: bad TSO performance in 2.6.9-rc2-BK

From: Nivedita Singhvi <[email-masked]>
Date: Mon, 27 Sep 2004 23:45:44 -0700

David S. Miller wrote:

> It's got a nasty bug though, I'm not updating
> TCP_SKB_CB(skb)->seq so retransmits have corrupted
> sequence numbers, doh!  And hey if I update that
> then I do not need this tso_offset thingy.

Hmm, I got sidetracked by seeing corrupted sequence
numbers in my tcpdump traces from before, although
that shouldn't have been the case..(sorry, don't
have access to boxes at the moment, will post it
tmrw). Was seeing the sequence numbers go backwards
(simple scp testing, bk10)..

Will redo testing in the morning on latest patches...

thanks,
Nivedita